Loading...
Searching...
No Matches
juce::AudioFormatReader::ReadHelper< DestSampleType, SourceSampleType, SourceEndianness > Struct Template Reference

`#include <juce_AudioFormatReader.h>`

## Public Types

using | DestType = AudioData::Pointer<DestSampleType, AudioData::NativeEndian, AudioData::NonInterleaved, AudioData::NonConst>
using | SourceType = AudioData::Pointer<SourceSampleType, SourceEndianness, AudioData::Interleaved, AudioData::Const>

## Static Public Member Functions

template<typename TargetType>
static void | read (TargetType *const *destData, int destOffset, int numDestChannels, const void *sourceData, int numSourceChannels, int numSamples) noexcept

## Detailed Description

template<class DestSampleType, class SourceSampleType, class SourceEndianness>
struct juce::AudioFormatReader::ReadHelper< DestSampleType, SourceSampleType, SourceEndianness >

Used by AudioFormatReader subclasses to copy data to different formats.

Definition at line 281 of file juce_AudioFormatReader.h.

## Member Typedef Documentation

## DestType

template<class DestSampleType, class SourceSampleType, class SourceEndianness>

using juce::AudioFormatReader::ReadHelper< DestSampleType, SourceSampleType, SourceEndianness >::DestType = AudioData::Pointer<DestSampleType, AudioData::NativeEndian, AudioData::NonInterleaved, AudioData::NonConst>

Definition at line 283 of file juce_AudioFormatReader.h.

## SourceType

template<class DestSampleType, class SourceSampleType, class SourceEndianness>

using juce::AudioFormatReader::ReadHelper< DestSampleType, SourceSampleType, SourceEndianness >::SourceType = AudioData::Pointer<SourceSampleType, SourceEndianness, AudioData::Interleaved, AudioData::Const>

Definition at line 284 of file juce_AudioFormatReader.h.

## Member Function Documentation

## read()

template<class DestSampleType, class SourceSampleType, class SourceEndianness>
template<typename TargetType>

void juce::AudioFormatReader::ReadHelper< DestSampleType, SourceSampleType, SourceEndianness >::read | ( | TargetType *const * | destData,
|  | int | destOffset,
|  | int | numDestChannels,
|  | const void * | sourceData,
|  | int | numSourceChannels,
|  | int | numSamples )

inline static noexcept

Definition at line 287 of file juce_AudioFormatReader.h.

The documentation for this struct was generated from the following file:

- juce_AudioFormatReader.h